## org.firebirdsql.jdbc
Interface FBObjectListener.ResultSetListener

Enclosing interface:
  FBObjectListener

    public static interface FBObjectListener.ResultSetListener

Listener for the events generated by the result set.

Method Summary
`void` `allRowsFetched(ResultSet rs)` Notify listener that all rows were fetched.
`void` `executionCompleted(org.firebirdsql.jdbc.FirebirdRowUpdater updater, boolean success)` Notify listener that execution of some row updating operation is completed.
`void` `executionStarted(org.firebirdsql.jdbc.FirebirdRowUpdater updater)` Notify listener that execution of some row updating operation started.
`void` `resultSetClosed(ResultSet rs)` Notify listener that result set was closed.

Method Detail

### resultSetClosed

    void resultSetClosed(ResultSet rs)
                         throws SQLException

  Notify listener that result set was closed.

  Parameters:
    `rs` - result set that was closed.
  Throws:
    `SQLException`

### allRowsFetched

    void allRowsFetched(ResultSet rs)
                        throws SQLException

  Notify listener that all rows were fetched. This event is used in auto-commit case to tell the statement that it is completed.

  Parameters:
    `rs` - result set that was completed.
  Throws:
    `SQLException`

### executionStarted

    void executionStarted(org.firebirdsql.jdbc.FirebirdRowUpdater updater)
                          throws SQLException

  Notify listener that execution of some row updating operation started.

  Parameters:
    `updater` - instance of `FirebirdRowUpdater`
  Throws:
    `SQLException` - if somewthing went wrong.

### executionCompleted

    void executionCompleted(org.firebirdsql.jdbc.FirebirdRowUpdater updater,
                            boolean success)
                            throws SQLException

  Notify listener that execution of some row updating operation is completed.

  Parameters:
    `updater` - instance of `FirebirdRowUpdater`.
  Throws:
    `SQLException` - if something went wrong.

Copyright © 2001-2010. All Rights Reserved.